This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 11187 - nss_ldap-106 exposes shadow passwords when nscd active
nss_ldap-106 exposes shadow passwords when nscd active
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: nss_ldap (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-02 18:25 EDT by David Lawrence
Modified: 2007-04-18 12:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:15:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Red Hat Bugzilla 2000-05-02 18:25:19 EDT
I have an LDAP setup that only allows access to
(encrypted) passwords when clients binding to a
privileged entity.  I was using nss_ldap to access
this info using its "rootbinddn" option in
/etc/ldap.conf and /etc/ldap.secret.  But I found
that non-privileged clients were able to access
the shadow passwords through ordinary getpw* calls.

The cause of the problem was that nss_ldap-106 was
returning passwords for getpw* calls, even for
shadowed accounts.  Nscd had privileges to access
this info and was passing it on to all clients.

I fixed this problem on my system by upgrading to
an RPM I built for nss_ldap-107, which comes with
a fix for this problem.

(Also, nscd should probably be fixed to drop privs
after creating its socket.)
Comment 1 Red Hat Bugzilla 2002-02-11 11:50:43 EST
comment.
Comment 2 Red Hat Bugzilla 2002-12-14 18:11:20 EST
Nalin can you confirm this was fixed >?
Comment 3 Red Hat Bugzilla 2006-08-07 13:12:46 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 4 Red Hat Bugzilla 2006-10-18 10:15:54 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.